## easy 0.2

=== debian/changelog ===
easy (0.2) unstable; urgency=low

  * LGPL license has been added in the files.

 -- Mario Hozano Lucas de Souza <hozano@embedded.ufcg.edu.br>  Wed, 21 Nov 2007 17:28:17 -0300

easy (0.1) unstable; urgency=low

  * Initial Release.

 -- Mario Hozano Lucas de Souza <hozano@embedded.ufcg.edu.br>  Tue, 25 Sep 2007 17:05:17 -0300
