## easy 0.3

=== debian/changelog ===
easy (0.3) unstable; urgency=low

  * correct dependencies (python2.5-runtime).

 -- Mario Hozano Lucas de Souza <hozano@embedded.ufcg.edu.br>  Thu, 22 Nov 2007 10:35:00 -0300
 
