=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: easy
 Section: user/programming
 Architecture: all
-Depends: python2.5 (>= 2.5.1-1osso2), python2.5-gtk2 (>= 2.10.3-1osso4), python2.5-bluez (>= 0.9.1-1osso3), python2.5-abook (>= 0.1-1osso4), python2.5-gstreamer (>= 0.10.5-0osso2), gstreamer0.10-indt-playbinmaemo (>= 0.10.2-svn20070924), lightblue1 (>= 0.2.3-1osso1), gstreamer0.10-plugins-extra (>= 0.10.4-osso2-16)
+Depends: python2.5-runtime (>= 0.4-13), python2.5-abook (>= 0.1-1osso4), gstreamer0.10-indt-playbinmaemo (>= 0.10.2-svn20070924), lightblue1 (>= 0.2.3-1osso1), gstreamer0.10-plugins-extra (>= 0.10.4-osso2-16)
 Description: Python-based API to ease the development of applications that access MAEMO-specific services and devices.
 
 Package: easy-dev
