## easy 0.4

=== debian/changelog ===
easy (0.4) unstable; urgency=low

  * correct dependencies.

 -- Andre Cavalcante Hora <andrech@dsc.ufcg.edu.br>  Tue, 26 Feb 2008 17:48:00 -0300
