=== debian/control ===
Source: easy
Section: python
Priority: optional
Maintainer: Mario Hozano Lucas de Souza <hozano@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2 (>= 2.10.3-1osso4), python2.5-dev (>= 2.5.1-1osso2), python2.5-bluez (>= 0.9.1-1osso2), python2.5-gstreamer (>= 0.10.5-0osso2), lightblue1 (>= 0.3.1-1osso1), gstreamer0.10-plugins-extra (>= 0.10.6-0osso22-1) 
Standards-Version: 3.6.1

Package: easy
Section: user/programming
Architecture: all
Depends: python2.5-runtime (>= 0.4-13), lightblue1 (>= 0.3.1-1osso1), gstreamer0.10-plugins-extra (>= 0.10.6-0osso22-1)
Description: Python-based API to ease the development of applications that access MAEMO-specific services and devices.

Package: easy-dev
Section: libs
Architecture: all
Depends: easy (= ${Source-Version})
Description: Easy examples and development files.
