## easy 0.5

=== debian/changelog ===
easy (0.5) unstable; urgency=low

  * bug fixing.

 -- Mario Hozano Lucas de Souza <hozano@gmail.com>  Thu, 4 Sep 2008 18:30:00 -0300
