## easy 0.7

=== debian/changelog ===
easy (0.7) unstable; urgency=low

  * bug fixing. Including multimedia and ui modules.

 -- Mario Hozano Lucas de Souza <hozano@gmail.com>  Tue, 7 Oct 2008 11:37:00 -0300

easy (0.6) unstable; urgency=low

  * bug fixing. Including multimedia and ui modules.

 -- Mario Hozano Lucas de Souza <hozano@gmail.com>  Wed, 10 Sep 2008 11:37:00 -0300
