## easy celery-1.0.4

=== requirements.txt ===
redis>=3.5.0
