## easy exon-1.0.0

=== requirements.txt ===
twine==6.1.0
pydantic==2.11.7
