## easy file-0.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = easy_caesar
+SPHINXPROJ    = easy_file
 SOURCEDIR     = .
 BUILDDIR      = _build
