=== requirements.txt ===
boto3
click
click-default-group
click-log
pyyaml
wheel
