=== docs/requirements.txt ===

pandas
numpy
matplotlib
sphinx
sphinx-prompt
sphinx_copybutton
sphinx_toggleprompt
sphinx_rtd_theme
