## easy mpl-0.20

=== docs/requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 sphinx_copybutton
 sphinx_toggleprompt
 sphinx_rtd_theme
+scipy
