## easy mpl-0.20.1

=== requirements.txt ===

matplotlib
numpy
pandas
scipy
