## easy tokenizer-0.0.10

=== docs/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = easy_file
+SPHINXBUILD   = sphinx-build
+SPHINXPROJ    = easy-tokenizer
 SOURCEDIR     = .
 BUILDDIR      = _build
